> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Base URI

> Get the Base URI of a collection as it appears onchain.

**API scope required**: `collections.read`


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml get /v1-alpha1/minting/collections/{collectionId}/base-uri
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: NFT Minting
  contact:
    name: Crossmint NFT Minting APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/minting/collections/{collectionId}/base-uri:
    get:
      tags:
        - NFT Collections
      summary: Get Base URI
      description: |
        Get the Base URI of a collection as it appears onchain.

        **API scope required**: `collections.read`
      operationId: get-base-uri
      parameters:
        - $ref: '#/components/parameters/collectionId'
      responses:
        '200':
          description: Base URI of a collection as it appears onchain
          content:
            application/json:
              schema:
                type: object
                properties:
                  uri:
                    type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - title: OutdatedContract
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          Setting the base URI is not supported on contracts
                          deployed before 06/09/2023
                  - title: OldCollection
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          Setting the base URI is not supported on contracts
                          deployed before 06/09/2023
                  - title: SolanaNotSupported
                    type: object
                    properties:
                      message:
                        type: string
                        example: Getting the base URI is not yet available on Solana
                  - title: ExternalCollection
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          Getting the base URI is not available on external
                          collections
                  - title: SFTCollection
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          Setting the base URI is not available on SFT
                          collections
        '403':
          description: Forbidden error, please ensure the credentials are correct.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403Response'
        '404':
          description: Not found error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Response'
        '503':
          description: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/503Response'
components:
  parameters:
    collectionId:
      name: collectionId
      in: path
      description: >
        This is the identifier for the collection related to the request. Every
        project has default collections: `default-solana` and
        `default-polygon`. 


        The
        [create-collection](/api-reference/minting/collection/create-collection)
        API will result in collections with UUID formatted `collectionId`. 

        **Example:** `9c82ef99-617f-497d-9abb-fd355291681b`


        The
        [create-collection-idempotent](/api-reference/minting/collection/create-collection-idempotent)
        API allows you to specify an arbitrary identifier during the initial
        request.

        **Example:** `your-custom-identifier`
      required: true
      example: default-solana
      schema:
        type: string
  schemas:
    403Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Malformed API key. / API key provided doesn't have required scopes.
    404Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Not found
    503Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Obtained in the Crossmint developer console

````